Raw FHIR read/search
curl --request GET \
--url https://api.clinikapi.com/v1/fhir/{path} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.clinikapi.com/v1/fhir/{path}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.clinikapi.com/v1/fhir/{path}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
FHIR Passthrough
Read (FHIR)
Read a raw FHIR R4 resource by type and ID.
GET
/
v1
/
fhir
/
{path}
Raw FHIR read/search
Read a FHIR Resource
curl https://api.clinikapi.com/v1/fhir/Patient/pt_abc123 \
-H "x-api-key: clk_live_abc123"
{
"resourceType": "Patient",
"id": "pt_abc123",
"meta": {
"tag": [{ "system": "https://clinikapi.com/tenant", "code": "org_def456" }]
},
"name": [{ "family": "Doe", "given": ["Jane"] }],
"gender": "female",
"birthDate": "1990-03-15"
}